Delete a Pre-authorized Code credential offer
Roles
Analytics Events
/v1/openid/offers/pre-authorized/{id}Delete an OpenID4VCI Pre-authorized Code credential offer.
Analytic events
- OPENID_PRE_AUTHORIZED_OFFER_DELETE_START
- OPENID_PRE_AUTHORIZED_OFFER_DELETE_SUCCESS
- OPENID_PRE_AUTHORIZED_OFFER_DELETE_FAIL
Authorization
bearerAuthOpenIdCredentials In: header
Path Parameters
Pre-authorized credential offer ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/openid/offers/pre-authorized/8241400f-de3b-42c5-ad7c-8a380039e796"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a Pre-Authorized Code credential offer POST
Generate a new [OpenID4VCI Pre-Authorized Code](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-4.1) credential offer. This offer can only be used once. Once the offer is successfully claimed and the credential is issued, the pre-authorized code is consumed and the offer becomes invalid. The offer cannot be claimed again, even if the same user attempts to claim it. This is a security measure to prevent unauthorized credential duplication. If you need to issue another credential to the same user, you must generate a new credential offer. <Callout> The Pre-authorized Code flow is only supported for the mDocs credential format. </Callout> ### **Analytic events** * OPENID_PRE_AUTHORIZED_OFFER_CREATE_START * OPENID_PRE_AUTHORIZED_OFFER_CREATE_SUCCESS * OPENID_PRE_AUTHORIZED_OFFER_CREATE_FAIL
Request authorization for access to resources GET
This endpoint is used to request authorization from the user for access to the requested resources. After the user approves the request, an authorization code is returned to the client. See [https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-authorization-endpoint](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-authorization-endpoint) See [https://www.rfc-editor.org/rfc/rfc6749.html#section-3.1](https://www.rfc-editor.org/rfc/rfc6749.html#section-3.1) ### **Analytic events** * OPENID_AUTHORIZE_START * OPENID_AUTHORIZE_SUCCESS * OPENID_AUTHORIZE_FAIL